// 主界面
;
define(function(require, exports, module) {
	'use strict';
	var util = require("util");
	var base = require("base");
	var databind = require("databind");
	var listView = require("listView");
	var router = require("pageRouter");
	var dialog = require("dialog");
	var dom;
	var type;
	var index = 1;

	var init = function() {
		dom = $("#informList");
		type = base.getUrlParam("formType");
		router.init();
		initEvent();
		loadData();
	};
	var initEvent = function() {
		switch(type) {
			case '1':
			dom.find(".header .header-title").html("我发出的");
			dom.find(".container").attr('tpl-id', 'tpl-list');
			break;
			case '2':
			dom.find(".header .header-title").html("我收到的");
			dom.find(".container").attr('action', 'inquireNoticeListToAccount');
			break;
			case '3':
			dom.find(".header .header-title").html("单位收到的通知");
			dom.find(".container").attr('action', 'inquireNoticeListToTenant');
			break;
			case '4':
			dom.find(".header .header-title").html("报送我的");
			dom.find(".container").attr('action', 'inquireNoticeListCcAccount');
			break;
			case '5':
			dom.find(".header .header-title").html("单位发出的通知");
			dom.find(".header").append("<input type='hidden' name='tenantFlag' value='1'>");
			dom.find(".container").attr('action', 'inquireNoticeListFromTenant');
			break;
			default:
			dom.find(".header .header-title").html("通知");
			break;
		}

		// to搜索页面
		dom.on("click", ".searchInput", function() {
			router.route("inform.searchList?fromType=" + type);
		});

		// 通知公告详情
		dom.on("click", ".loadList-item", function() {
			var noticeId = $(this).attr("noticeId");
			if(!noticeId) {
				return;
			}
			router.route("inform.inform-detail?noticeId=" + noticeId + "&type=" + type);
		});
	};

	var loadData = function() {
			listView.more(dom.find(".alist"));
	};

	//	var loadData = function() {
	//		databind.submit({}, {
	//			action: "inquireTaskListOfMine",
	//			version: "v1.0",
	//			useCache: index == 1,
	//			data: {
	//				"memberTypeOfMine": 2,
	//				"notificationType": "通知公告",
	//				"type": 1,
	//				"pageIndex":index
	//			},
	//			success: function(data) {
	//				if (!data.datas.length) {
	//						dom.find(".nodata").removeClass("none");
	//					} else {
	//						if (data.pageIndex == 1) {
	//							dom.find(".container-loadList").empty();
	//						}
	//						databind.createOrUpdateInput(dom.find(".container-loadList"), "pageIndex", data.pageIndex);
	//					    var approveListhtml = juicer($("#informList-tpl").html(), data);
	//						dom.find(".container-loadList .more").remove();
	//						$(".container-loadList").append(approveListhtml);
	//						if (data.totalPageCount === data.pageIndex) {
	//							dom.find(".container-loadList .more").remove();
	//						} else {
	//							dom.find(".container-loadList .more").on("click", loadData);
	//						}
	//					}
	//			}
	//		});
	//	};
	return {
		init: init
	};
});
