// 主界面
;define(function(require, exports, module) {
  'use strict';
  var databind = require("databind");
  var attachmentLineTmpl="";

  var init = function(){
    juicer.register("customFormGetConfig",function(name){
      return CONFIG[name];
    });
    juicer.register("customFormGetIcon",getIcon);

  };
  var renderEdit=function(tmpl,data,opt,component){
    init();
    var tpdom = $(tmpl);
    var tmplText = tpdom.find("script.input").html();
    attachmentLineTmpl = tpdom.find("script.attach-line").html();
    var  td = $(juicer(tmplText,{config:CONFIG}));
    //td.css("width","100%");
    td.attr("name",data.fieldCode);
    td.find(".customForm-attachment-label").html(data.fieldName+"：");
    td.find(".customForm-tip").text(data.fieldName);
    //td.find(".customForm-attachment-label").prepend('<img src="'+CONFIG.BasePath+'/component/customForm/widgets/attachment/attach.png"</img>');
    if(data.required){
      var req = $("<span>*</span>").css("color","#EB6566");
      td.find(".customForm-attachment-label").prepend(req);
      td.find("input").attr("required",true);
    }
    var id = component.uuid();
    td.find(".btn-link-upload-file").attr("id",id);
    td.find(".btn-link-upload-file").attr("maxFileCount", (data.fileCount && data.fileCount <= 10 && data.fileCount > 0) ? data.fileCount : 10);
    td.find(".btn-link-upload-file").attr("fileCount",0);
    td.on("customForm-event-draw",function(){
      attupload($(this).find(".btn-link-upload-file").attr("id"));
    });

    return td;
  };
  var renderView=function(tmpl,tmplData,data,opt){
  	init();
    var tpdom = $(tmpl);
    var tmplText = tpdom.find("script.view").html();

    var  td = $(juicer(tmplText,{config:CONFIG,data:data}));
    var width = 100/(parseInt(tmplData.lineWidth?tmplData.lineWidth:1)/1);
    td.css("width","100%");
    td.find(".customForm-attachment-label").html(tmplData.fieldName+":");
      td.find(".customForm-attachment-label").prepend('<img src="'+CONFIG.BasePath+'/component/customForm/widgets/attachment/attach.png"</img>');
    return td;
  };
  var getData=function(dom,T){
    var ret = {};
    ret[$(dom).attr("name")]=T.parseForm(dom);
    return ret;
  };
  var setData=function(dom,datas,T,tmpl){
    var name = dom.attr("name");
    var v = datas[name];
    if(!v){
      return;
    }
    var tm = $(tmpl).find(".edit").html();
    var html = juicer(tm,{data:v});
    dom.find(".customForm-attachment-val").prepend(html);
  };


  // var attupload = function(domId) {
  //   var filesDom = $("#"+domId).parent();
  //
  //   var attuploader = new plupload.Uploader({
  //     runtimes: 'html5,flash,silverlight,html4',
  //     browse_button: domId, // you can pass an id...
  //     url: '/fs/api/v1.0/uploadFile.json', //服务器端的上传页面地址
  //     flash_swf_url: '../js/plupload/Moxie.swf', //swf文件，当需要使用swf方式进行上传时需要配置该参数
  //     silverlight_xap_url: '../js/plupload/Moxie.xap', //silverlight文件，当需要使用silverlight方式进行上传时需要配置该参数
  //     multi_selection: true,
  //     filters: {
  //       max_file_size: '100mb',
  //       mime_types: [{
  //         title: "Allow files",
  //         extensions: "*"
  //       }, ]
  //     },
  //     init: {
  //       PostInit: function() {},
  //
  //       Browse : function() {
  //
  //       },
  //
  //       FilesAdded: function(up, files) {
  //         var addFileBtn = filesDom.find(".btn-link-upload-file");
  //         var fileCount = parseInt(addFileBtn.attr("fileCount")) + 1;
  //         var maxFileCount = parseInt(addFileBtn.attr("maxFileCount"));
  //         addFileBtn.attr("fileCount",fileCount);
  //         if(fileCount == maxFileCount) {
  //       	  addFileBtn.css("display", "none");
  //         }
  //         //disableBrowse : function()
  //         plupload.each(files, function(file) {
  //           filesDom.find(".btn-link-upload-file").parent().before(juicer(attachmentLineTmpl, file));
  //           var name = file.name;
  //           var icon = getIcon(name);
  //           filesDom.find("[fileId=" + file.id + "]").find(".attachment-icon").attr("src", icon);
  //         });
  //         attuploader.start();
  //         return false;
  //       },
  //
  //       UploadProgress: function(up, file) {
  //         filesDom.prev("[fileId=" + file.id + "]").find(".state").text(file.percent + "%");
  //       },
  //       FileUploaded: function(attuploader, file, responseObject) {
  //         var data = JSON.parse(responseObject.response);
  //         var attachment = data.data[0];
  //         var name = file.name;
  //         var size = attachment.fileSize;
  //         var uuid = attachment.fileUuid;
  //         filesDom.prev("[fileId=" + file.id + "]").find(".state").hide();
  //         databind.createOrUpdateInput(filesDom.find("[fileId=" + file.id + "]"),"attachmentFileUuid", uuid);
  //         databind.createOrUpdateInput(filesDom.find("[fileId=" + file.id + "]"),"attachmentName", name);
  //         databind.createOrUpdateInput(filesDom.find("[fileId=" + file.id + "]"),"attachmentSize", size);
  //         filesDom.prev("[fileId=" + file.id + "]").find(".customForm-attachment-action-menu").removeClass("none");
  //         filesDom.prev("[fileId=" + file.id + "]").find(".customForm-attachment-preview-attachment").attr("href", CONFIG.BasePath+"/component/customForm/fileView/view.html?fid=" + uuid + "&fn=" + name);
  //         filesDom.prev("[fileId=" + file.id + "]").find(".customForm-attachment-attachment-name").attr("href", CONFIG.BasePath+"/component/customForm/fileView/view.html?fid=" + uuid + "&fn=" + name);
  //         filesDom.prev("[fileId=" + file.id + "]").removeClass("wait");
  //       },
  //       Error: function(up, err) {
  //         if (err.message == "File extension error.") {
  //           base.alert(2, "文件类型暂时不支持！");
  //         }
  //         attuploader.refresh();
  //       },
  //       UploadComplete: function(up, file) {}
  //     }
  //   });
  //
  //   filesDom.parent().on("click",".customForm-attachment-delete-attachment",attuploader, function(event){
  //       $(this).parents(".customForm-attachment-line").remove();
  //       //event.data.disableBrowse(false);
  //       var addFileBtn = filesDom.find(".btn-link-upload-file");
  //       addFileBtn.css("display", "block");
  //       var fileCount = parseInt(addFileBtn.attr("fileCount")) - 1;
  //       addFileBtn.attr("fileCount", fileCount);
  //     });
  //
  //   attuploader.init();
  //
  //   String.format = function(src) {
  //     if (arguments.length == 0) return null;
  //     var args = Array.prototype.slice.call(arguments, 1);
  //     return src.replace(/\{(\d+)\}/g, function(m, i) {
  //       return args[i];
  //     });
  //   };
  //   Date.prototype.format = function(fmt) { //author: meizz
  //     var o = {
  //       "M+": this.getMonth() + 1, //月份
  //       "d+": this.getDate(), //日
  //       "h+": this.getHours(), //小时
  //       "m+": this.getMinutes(), //分
  //       "s+": this.getSeconds(), //秒
  //       "q+": Math.floor((this.getMonth() + 3) / 3), //季度
  //       "S": this.getMilliseconds() //毫秒
  //     };
  //     if (/(y+)/.test(fmt))
  //     fmt = fmt.replace(RegExp.$1, (this.getFullYear() + "").substr(4 - RegExp.$1.length));
  //     for (var k in o)
  //     if (new RegExp("(" + k + ")").test(fmt))
  //     fmt = fmt.replace(RegExp.$1, (RegExp.$1.length == 1) ? (o[k]) : (("00" + o[k]).substr(("" + o[k]).length)));
  //     return fmt;
  //   };
  // };


  var getIcon = function(fileName) {
    var icon = "/res/images/ficon/unknow_icon_16px.png";
    var ext = fileName.replace(/.*\.(\w+)/, "$1");
    if (!ext) {
      return icon;
    }
    ext = ext.toLowerCase();
    var extMap = {
      "apk": "apk_icon_16px",
      "xls": "excel_icon_16px",
      "csv": "excel_icon_16px",
      "xlsx": "excel_icon_16px",
      "ods": "excel_icon_16px",
      "ppt": "ppt_icon_16px",
      "pptx": "ppt_icon_16px",
      "odp": "ppt_icon_16px",
      "pdf": "pdf_icon_16px",
      "jpg": "pic_icon_16px",
      "png": "pic_icon_16px",
      "jpeg": "pic_icon_16px",
      "gif": "pic_icon_16px",
      "tif": "pic_icon_16px",
      "tiff": "pic_icon_16px",
      "psd": "ps_icon_16px",
      "txt": "txt_icon_16px",
      "mp4": "video_icon_16px",
      "avi": "video_icon_16px",
      "flv": "video_icon_16px",
      "rmvb": "video_icon_16px",
      "rm": "video_icon_16px",
      "3gp": "video_icon_16px",
      "mov": "video_icon_16px",
      "asf": "video_icon_16px",
      "wmv": "video_icon_16px",
      "mp3": "audio_icon_16px",
      "wav": "audio_icon_16px",
      "flac": "audio_icon_16px",
      "ape": "audio_icon_16px",
      "ogg": "audio_icon_16px",
      "doc": "word_icon_16px",
      "docx": "word_icon_16px",
      "odt": "word_icon_16px",
      "zip": "zip_icon_16px",
      "7z": "zip_icon_16px",
      "rar": "zip_icon_16px",
      "gz": "zip_icon_16px",
      "bz": "zip_icon_16px",
      "tar": "zip_icon_16px",
    };
    var pic = extMap[ext];
    if (pic) {
      icon = "/res/images/ficon/" + pic + ".png";
    }

    return icon;
  };

  return {
    renderEdit:renderEdit,
    renderView:renderView,
    getData:getData,
    setData:setData
  };
});
