// 主界面
define(function(require, exports, module) {
  'use strict';
  var T = {};

  T.popup=function(opt){
    if(!opt||!opt.datas||opt.datas.length==0){
      return ;
    }
    var datas = opt.datas;
    var maskLayer = $("<div>");
    //遮罩层
    maskLayer.attr("id","popupmenu-masklayer");
    maskLayer.css("position","fixed").css("top","0px").css("left","0px").css("width","100%").css("height","100%");
    maskLayer.css("background-color","rgba(0,0,0,.1)").css("z-index",50);
    maskLayer.on("click",function(){
      $("body").css("overflow","");
      maskLayer.remove();
    });
    //菱形图标
    var diamondIcon = $("<img>");
    diamondIcon.attr("src","component/popupmenu/diamond.png");
    diamondIcon.css("position","absolute").css("top",30).css("right",10).css("width",20).css("height",20);
    maskLayer.append(diamondIcon);
    //菜单层
    var menuLayer = $("<div>");
    menuLayer.css("position","absolute").css("top","40px").css("right","0px").css("text-align","center").css("width","136px").css("line-height","40px").css("color","#fff").css("background-color","#3b4457");
    for(var i in datas){
      var dt = datas[i];
      menuLayer.append(genMenuDom(dt,maskLayer));
    }
    maskLayer.append(menuLayer);




    $("#popupmenu-masklayer").remove();
    $("body").css("overflow","hidden").append(maskLayer);


  };
  function genMenuDom(dt,maskLayer){
    var menuItem = $("<div>");
    menuItem.addClass("clickable");
    menuItem.html(dt.name);
    menuItem.on("click",function(){
      $("body").css("overflow","");
      maskLayer.remove();
      dt.action();
    });
    return menuItem;
  }



  return T;
});
