define(function(require, exports, module) {
  'use strict';
  var util = require("util");
  var base = require("base");
  var databind = require("databind");
  var listView = require("listView");
  var router = require("pageRouter");
  var dialog = require("dialog");
  var constant = require("constant");
  var dom;

  var init = function() {
    dom = $("#page-home");

    initJuicer();
    initEvent();
    loadData();
  };
  var initEvent=function(){
    dom.find(".btn-search").on("click",function(){
      window.location.href="#course.teacher-search";
    });
    dom.on('click','.btn-cls',function(){
      window.location.href="#course.class-scheduling?classId="+$(this).attr('data-id');
    });
  };

  var initJuicer = function() {
    juicer.register("fsPath", function() {
      return CONFIG.fsPath;
    });

    juicer.register("getValueByKey", constant.getValueByKey);
  };

  var loadData = function() {
    loadClasses();

  };


  function loadClasses(){
    databind.submit([],{
      action:'inquireResponsibleClassListAccount',
      data:{semesterCode:$("#semesterSelect").val()},
      success:function(ret){
        var tab = dom.find('.cls-container');
        tab.html(juicer(dom.find('script[data-tmpl-name=cls]').html(),ret));
        $(tab.find('div')[0]).trigger('click');
      }
    });
  }




  return {
    init: init
  };
});
