define(function(require, exports, module) {
  'use strict';
  var util = require("util");
  var base = require("base");
  var databind = require("databind");
  var listView = require("listView");
  var router = require("pageRouter");
  var dialog = require("dialog");
  var dom;

  var init = function() {
    dom = $("#page-teacher-search");

    initJuicer();
    initEvent();
    loadData();
    dom.find('input').focus();
  };
  var initEvent=function(){
    dom.on('click','.emp-item',function(){
      window.location.href="#course.teacher-scheduling?aid="+$(this).attr('data-id')+'&name='+encodeURIComponent($(this).attr('data-name'));
    });
    dom.find('.btn-back').on('click',function(){
      base.back();
    });
    dom.find(".keyword").on("keyup",laodEmps);
    dom.find(".keyword").on("change",laodEmps);
  };
  var laodEmps=function(){
    var v = $(this).val();
    if(!v){
      dom.find(".emp-list").empty();
    }

      databind.submit([],{
        action:'inquireEmployeeListTenant',
        version:'v1.0',
        data:{accountStatus:1,keyword:v},
        success:function(ret){
          dom.find(".emp-list").html(juicer(dom.find('script[data-tmpl-name=emp]').html(),ret));
        }
      });

  };

  var initJuicer = function() {
    juicer.register("mobilemask", function(input) {
      return input.replace(/(\d{3})\d+(\d{4})/,"$1****$2");
    });
  };

  var loadData = function() {

  };



  return {
    init: init
  };
});
