// 主界面
define(function (require, exports, module) {
  'use strict';
  var base = require("base");
  var dialog = require("dialog");
  var databind = require("databind");
  var listView = require("listView");
  var dom;
  var rotateRadian = 0;
  var rotateInterval;
  var init = function (opt) {
    var newLevel = opt.params.newLevel;
    dom = $("#dialog-level-up");
    loadData(newLevel);
    initEvent();
  };

  var loadData = function (newLevel) {
    dom.find(".new-level").append(newLevel);
  };

  var initEvent = function () {
    rotateInterval = setInterval(function () {
      if (rotateRadian == 360) {
        rotateRadian = 0
      }
      rotateRadian++;
      dom.find(".level-up-light").css("transform", "rotate(" + rotateRadian + "deg)")
    }, 70);

    dom.on("click",".dialog-level-up-close",function () {
      clearInterval(rotateInterval);
      dialog.hideDialog();
      base.back();
    });
  };

  return {
    init: init
  };
});
