// 主界面
define(function (require, exports, module) {
  'use strict';
  var base = require("base");
  var dialog = require("dialog");
  var databind = require("databind");
  var listView = require("listView");
  var dom;
  var init = function (opt) {
    dom = $("#dialog-tip-confirm");
    loadData(opt.params);
    initEvent();
  };

  var loadData = function (params) {
    var emigratedTimeList = params.emigratedTimeList;
    var emigratedBurTag = params.emigratedBurTag;
    
    var tipContent = "";

    if(emigratedBurTag == 0){
      tipContent = '学校设置可闯关时间为';
    }else{
      tipContent = '教育局设置可闯关时间为';
    }

    emigratedTimeList.forEach(e => {
      if(emigratedTimeList.length > 1){
        tipContent = tipContent + e.cycle + '的' + e.emigratedTime + ';';
      }else{
        tipContent = tipContent + e.cycle + '的' + e.emigratedTime;
      }
    });

    dom.find('.tip')[0].innerHTML = tipContent;
  };

  var initEvent = function () {
    dom.on("click", ".dialog-btnOk", function () {
      dialog.hideDialog();
    });
  };

  return {
    init: init
  };
});
