// 主界面
;
define(function(require, exports, module) {
	'use strict';
	var util = require("util");
	var base = require("base");
	var router = require("pageRouter");
	var dialog = require("dialog");
	var databind = require('databind');
	var parameter;

	var defaultLoader = function() {
		parameter = base.getUrlParam("parameter");
		if (parameter) {
			router.loadPage("course/detail-information");
			return true;
		} else {
			var currentHash = window.location.hash;
			if (!currentHash) {
				router.loadPage("course/homepage");
			} else {}
		}
	};

	var init = function() {
		initEvent();
		router.init();
		router.setDefaultLoader(defaultLoader);
		loadSem();
	};

	var initEvent = function() {

		document.body.addEventListener('touchstart', function() {

		});

		$("body").on("click", ".backBtn", function() {
			base.back();
			return false;
		});

		$("body").on("click", "[page-router]", function() {
			var t = $(this);
			router.route(t.attr("href"));
			return false;
		});
	};

	function loadSem(){
		databind.submit([],{
			action:'inquireSchoolSemesterListTenant',
			success:function(ret){
				for(var idx in ret.datas){
					var dt = ret.datas[idx];
					if(dt.currentFlag){
						$("#semesterSelect").val(dt.semesterCode);
						break;
					}
				}
			}
		});
	}

	return {
		init: init
	};
});
