// 主界面
;
define(function(require, exports, module) {
	'use strict';
	var util = require("util");
	var base = require("base");
	var router = require("pageRouter");
	var dialog = require("dialog");
	var databind = require('databind');
	var parameter;
	var examId;

	var defaultLoader = function() {
		var parameter = base.getUrlParam("parameter");
		var businessId = base.getUrlParam("businessId");
		var source = base.getUrlParam("source");
		var id = base.getUrlParam("referenceId");
		if (parameter != null) {
			source = "messageCenter";
		 }
		if (source || parameter) {
			if(source === "messageCenter"){
				if(parameter != null){
					databind.submit({}, {
						action: "inquireStudentMarkDetailMsgMMAccount",
						data: {
							examId:parameter,
						},
						success: function(data) {
							if (data.datas[0].deleted == 1) {
								router.loadPage("markManage/deleted");
								return;
							}
							if (data.datas[0].courseMarkList.length == 1) {
								if(data.datas[0].examUnitType == 2){
							        router.route("markManage.singleYes?examId=" + parameter);
							      }else{
							        router.route("markManage.singleNo?examId=" + parameter);
							      }
							}else {
								router.route("markManage.manyProject?examId=" + parameter);
							}
						}
					});
					// router.loadPage("markManage/manyProject?examId="+businessId);
				}else{
					databind.submit({}, {
						action: "inquireStudentMarkDetailMMAccount",
						data: {
							examId:id,
						},
						success: function(data) {
							if (data.datas[0].courseMarkList.length == 1) {
								if(data.datas[0].examUnitType == 2){
									router.route("markManage.singleYes?examId=" + id);
								}else{
									router.route("markManage.singleNo?examId=" + id);
								}
							}else {
								router.route("markManage.manyProject?examId=" + id);
							}
						}
					});
				}
			}
//          router.loadPage("markManage/mark-info-pending-entry");
				return true;
		} else {
				var currentHash = window.location.hash;
				if (!currentHash) {
					router.loadPage("markManage/homepage");
				} else {
				}
		}
	};

	var init = function() {
		initEvent();
		router.init();
		router.setDefaultLoader(defaultLoader);

	};

	var initEvent = function() {

		document.body.addEventListener('touchstart', function() {

		});

		$("body").on("click", ".backBtn", function() {
			base.back();
			return false;
		});

		$("body").on("click", "[page-router]", function() {
			var t = $(this);
			router.route(t.attr("href"));
			return false;
		});
	};

	// function loadSem(){
	// 	databind.submit([],{
	// 		action:'inquireSchoolSemesterListTenant',
	// 		success:function(ret){
	// 			for(var idx in ret.datas){
	// 				var dt = ret.datas[idx];
	// 				if(dt.currentFlag){
	// 					$("#semesterSelect").val(dt.semesterCode);
	// 					break;
	// 				}
	// 			}
	// 		}
	// 	});
	// }

	return {
		init: init
	};
});
