define(function(require, exports, module) {
  'use strict';
  var util = require("util");
  var base = require("base");
  var databind = require("databind");
  var listView = require("listView");
  var router = require("pageRouter");
  var dialog = require("dialog");
  var constant = require("constant");
  var listviewPageable = require("../component/listview-pageable/listview-pageable");
  var dom;
  var studentId;
  var myChartManyRank;
  var myChartChineseRank;
  var myChartMathRank;
  var myChartEnglishRank;
  var isOpen;

  var init = function() {
    studentId = CONFIG.studentId;
    dom = $("#page-home");

    inquireParentNewExamListOutputAccount();
    inquireStudentExamTrendExamMMAccount();
		// document.body.style.backgroundColor="#f4f4f4";
    initEvent();
  };

  var inquireParentNewExamListOutputAccount = function(){
		// databind.submit({}, {
		// 	action: "inquireParentNewExamListOutputAccount",
		// 	data: {
		// 	},
		// 	success: function(data) {
    //     // var it = data.datas[0];
    //     var html = juicer(dom.find("#markList-load").html(), data);
    //     dom.find("#markList-set").append(html);
    //     if (data.datas.length == 0) {
    //       dom.find(".empty-view").removeClass("none");
    //     }
    //   }
		// });
    listviewPageable.init(dom.find("#markList-set"), {
        action: "inquireParentNewExamListOutputAccount",
        data: {
        },
        dataItem: {
            itemClass: ".todo-list-item",
        },
        template:dom.find("#markList-load"),
    });
	}
  var inquireStudentExamTrendExamMMAccount = function(){
		databind.submit({}, {
			action: "inquireStudentExamTrendExamMMAccount",
			data: {
			},
			success: function(data) {
        var manyRank = [];
        var chineseRank = [];
        var mathRank = [];
        var englishRank = [];
        var many = [];
        var chinese = [];
        var math = [];
        var english = [];
        var minManyRank= 0;
        var maxManyRank = 9999999999;
        var minChineseRank= 0;
        var maxChineseRank = 9999999999;
        var minMathRank= 0;
        var maxMathRank = 9999999999;
        var minEnglishRank= 0;
        var maxEnglishRank = 9999999999;
        var i = 0;
        isOpen = base.getData("isOpen");
        if(data.datas.length != 0){
          //courseType 0：多科，1：语文，2：数学，3：英语
          for(i;i<data.datas.length;i++){
            if (isOpen == "false") {
              // if(data.datas[i].mark!=0 && data.datas[i].courseType == 0){
              //   if(manyRank.length<5){
              //     manyRank.push(data.datas[i].mark);
              //     if (data.datas[i].mark > minManyRank) {
  						// 			minManyRank = data.datas[i].mark;
  						// 		}
  						// 		if (data.datas[i].mark < maxManyRank) {
  						// 			maxManyRank = data.datas[i].mark;
  						// 		}
              //   }
              //   many.push(data.datas[i]);
              //
              // }
              if(data.datas[i].mark!=0 &&data.datas[i].courseType == 1){
                if(chineseRank.length<5){
                  chineseRank.push(data.datas[i].mark);
                  if (data.datas[i].mark > minChineseRank) {
                    minChineseRank = parseInt(data.datas[i].mark);
                  }
                  if (data.datas[i].mark < maxChineseRank) {
                    maxChineseRank = parseInt(data.datas[i].mark);
                  }
                }
                chinese.push(data.datas[i]);

              }
              if(data.datas[i].mark!=0 &&data.datas[i].courseType == 2){
                if(mathRank.length<5){
                  mathRank.push(data.datas[i].mark);
                  if (data.datas[i].mark > minMathRank) {
                    minMathRank = parseInt(data.datas[i].mark);
                  }
                  if (data.datas[i].mark < maxMathRank) {
                    maxMathRank = parseInt(data.datas[i].mark);
                  }
                }
                math.push(data.datas[i]);

              }
              if(data.datas[i].mark!=0 &&data.datas[i].courseType == 3){
                if(englishRank.length<5){
                  englishRank.push(data.datas[i].mark);
                  if (data.datas[i].mark > minEnglishRank) {
                    minEnglishRank = parseInt(data.datas[i].mark);
                  }
                  if (data.datas[i].mark < maxEnglishRank) {
                    maxEnglishRank = parseInt(data.datas[i].mark);
                  }
                }
                english.push(data.datas[i]);

              }
            }else {
              if(data.datas[i].classRank!=0 && data.datas[i].courseType == 0){
                if(manyRank.length<5){
                  manyRank.push(data.datas[i].classRank);
                  if (data.datas[i].classRank > minManyRank) {
  									minManyRank = parseInt(data.datas[i].classRank);
  								}
  								if (data.datas[i].classRank < maxManyRank) {
  									maxManyRank = parseInt(data.datas[i].classRank);
  								}
                }
                many.push(data.datas[i]);

              }
              if(data.datas[i].classRank!=0 &&data.datas[i].courseType == 1){
                if(chineseRank.length<5){
                  chineseRank.push(data.datas[i].classRank);
                  if (data.datas[i].classRank > minChineseRank) {
                    minChineseRank = parseInt(data.datas[i].classRank);
                  }
                  if (data.datas[i].classRank < maxChineseRank) {
                    maxChineseRank = parseInt(data.datas[i].classRank);
                  }
                }
                chinese.push(data.datas[i]);

              }
              if(data.datas[i].classRank!=0 &&data.datas[i].courseType == 2){
                if(mathRank.length<5){
                  mathRank.push(data.datas[i].classRank);
                  if (data.datas[i].classRank > minMathRank) {
                    minMathRank = parseInt(data.datas[i].classRank);
                  }
                  if (data.datas[i].classRank < maxMathRank) {
                    maxMathRank = parseInt(data.datas[i].classRank);
                  }
                }
                math.push(data.datas[i]);

              }
              if(data.datas[i].classRank!=0 &&data.datas[i].courseType == 3){
                if(englishRank.length<5){
                  englishRank.push(data.datas[i].classRank);
                  if (data.datas[i].classRank > minEnglishRank) {
                    minEnglishRank = parseInt(data.datas[i].classRank);
                  }
                  if (data.datas[i].classRank < maxEnglishRank) {
                    maxEnglishRank = parseInt(data.datas[i].classRank);
                  }
                }
                english.push(data.datas[i]);

              }
            }
          }
          var test =[many,chinese,math,english];
          data.datas = test;
          var shtml = juicer(dom.find("#swiper-load").html(), data);
          dom.find("#swiper-set").append(shtml);

          if(many.length >1){
              if (maxManyRank < 4 || maxManyRank ==4) {
  							maxManyRank = 0;
  						} else {
  							for (var n = 1; n > 0; n++) {
  								if(((maxManyRank + n)/4)%1 ===0){
  									maxManyRank = maxManyRank - n;
  									break;
  								}
  							}
  						}
  						if ((minManyRank/4)%1 === 0) {
  							minManyRank = minManyRank + 4;
  						} else {
  							for (var n = 1; n > 0; n++) {
  								if(((minManyRank - n)/4)%1 ===0){
  									minManyRank = minManyRank + n;
  									break;
  								}
  							}
  						}
              myChartManyRank = initEchartsManyRank(maxManyRank,minManyRank);
              echartManyRankData(manyRank.reverse());
          }
          if(chinese.length >1){
              if (maxChineseRank < 4 || maxChineseRank ==4) {
                maxChineseRank = 0;
              } else {
                for (var n = 1; n > 0; n++) {
                  if(((maxChineseRank + n)/4)%1 ===0){
                    maxChineseRank = maxChineseRank - n;
                    break;
                  }
                }
              }
              if ((minChineseRank/4)%1 === 0) {
                minChineseRank = minChineseRank + 4;
              } else {
                for (var n = 1; n > 0; n++) {
                  if(((minChineseRank - n)/4)%1 ===0){
                    minChineseRank = minChineseRank + n;
                    break;
                  }
                }
              }
              myChartChineseRank = initEchartsChineseRank(maxChineseRank,minChineseRank);
              echartChineseRankData(chineseRank.reverse());
          }
          if(math.length >1){
              if (maxMathRank < 4 || maxMathRank ==4) {
                maxMathRank = 0;
              } else {
                for (var n = 1; n > 0; n++) {
                  if(((maxMathRank + n)/4)%1 ===0){
                    maxMathRank = maxMathRank - n;
                    break;
                  }
                }
              }
              if ((minMathRank/4)%1 === 0) {
                minMathRank = minMathRank + 4;
              } else {
                for (var n = 1; n > 0; n++) {
                  if(((minMathRank - n)/4)%1 ===0){
                    minMathRank = minMathRank + n;
                    break;
                  }
                }
              }
              myChartMathRank = initEchartsMathRank(maxMathRank,minMathRank);
              echartMathRankData(mathRank.reverse());
          }
          if(english.length >1){
              if (maxEnglishRank < 4 || maxEnglishRank ==4) {
                maxEnglishRank = 0;
              } else {
                for (var n = 1; n > 0; n++) {
                  if(((maxEnglishRank + n)/4)%1 ===0){
                    maxEnglishRank = maxEnglishRank - n;
                    break;
                  }
                }
              }
              if ((minEnglishRank/4)%1 === 0) {
                minEnglishRank = minEnglishRank + 4;
              } else {
                for (var n = 1; n > 0; n++) {
                  if(((minEnglishRank - n)/4)%1 ===0){
                    minEnglishRank = minEnglishRank + n;
                    break;
                  }
                }
              }
              myChartEnglishRank = initEchartsEnglishRank(maxEnglishRank,minEnglishRank);
              echartEnglishRankData(englishRank.reverse());
          }


          loadData();

        }
      }
		});
	}

  var initEvent = function() {
    dom.on("click", ".single", function(){
      var examId = $(this).attr("Id");
      var examUnitType = $(this).attr("examUnitType");
      var isMultiClass = $(this).attr("isMultiClass");
      if(examUnitType == 2){
        router.route("markManage.singleYes?examId=" + examId);
        window.location.reload();
      }else if(isMultiClass == 0){
        router.route("markManage.singleYes?examId=" + examId);
        window.location.reload();
      }else{
        router.route("markManage.singleNo?examId=" + examId);
        window.location.reload();
      }
    });

    dom.on("click", ".many",function() {
      var examId = $(this).attr("Id");
      router.route("markManage.manyProject?examId=" + examId);
      window.location.reload();
    });

    dom.on("click", ".swiper-slide",function() {
      // router.route("markManage.singleNo");
      var selectedId = $(this).attr("Id");
      if (selectedId == "") {
        selectedId = "多学科";
      }
      base.saveData("selectedId",selectedId);
			router.route("markManage.markTrackTitle");
      window.location.reload();
    });
  };

  var loadData = function() {

    var mySwiper = new Swiper('#swiper-pptContainer', {
		  autoplay: 2500,
		  autoplayDisableOnInteraction: false,
			pagination: '.swiper-pagination',
    });
  }

  var initEchartsManyRank = function(maxManyRank,minManyRank) {
    // 基于准备好的dom，初始化echarts实例
    var myChartManyRank = echarts.init(document.getElementById('manyRank'));

    var option = {
      tooltip: {},
      legend: {},
			calculable : true,
      xAxis: {
        show:false,
        data:[5,10,15,20,25],
				type: 'category',
				boundaryGap: false,
				axisLine: {onZero: false},
				// show: false,
			},
      yAxis: [{
        name: '多学科',
        nameLocation: 'start',
				type: 'value',
			 	inverse:(isOpen == "false") ? false : true,
				axisLine:{show:false},
				splitLine:{show:true},
				axisTick:{show: false},
				axisLabel:{show: false},
        max:maxManyRank,
				min:minManyRank,
				interval:(minManyRank-maxManyRank)/4,
				splitNumber:4,
			},{
        name: '班级排名',
        nameLocation: 'start',
        nameTextStyle:{
          fontSize:'12',
          color:'#969696',
        },
				type: 'value',
			 	inverse:true,
				axisLine:{show:false},
				splitLine:{show:true},
				axisTick:{show: false},
				axisLabel:{show: false}
			}]
    };
    // 使用刚指定的配置项和数据显示图表。
      myChartManyRank.setOption(option);
	  return myChartManyRank;
  }
  var echartManyRankData = function(manyRank) {
    myChartManyRank.setOption({
      series : [{
          name:'manyRank',
          type:'line',
          label: {
                normal: {
                    show: true,
                    position: 'top'
                }
            },
          itemStyle: {
            normal: {
              //好，这里就是重头戏了，定义一个list，然后根据所以取得不同的值，这样就实现了，
              color: function(params) {
                // build a color map as your need.
                var colorList = [
                  '#1BC376','#1BC376','#1BC376','#1BC376','#1BC376'
                ];
                return colorList[params.dataIndex]
              },
            }
          },
					lineStyle: {
            normal: {
              color:'#1BC376'
              }
            },
          data:manyRank
        }]
    });
  }
  var initEchartsChineseRank = function(maxChineseRank,minChineseRank) {
    // 基于准备好的dom，初始化echarts实例
    var myChartChineseRank = echarts.init(document.getElementById('chineseRank'));

    var option = {
      tooltip: {},
      legend: {},
			calculable : true,
      xAxis: {
        show:false,
        data:[5,10,15,20,25],
				type: 'category',
				boundaryGap: false,
				axisLine: {onZero: false},
				// show: false,
			},
      yAxis: [{
        name: '语文',
        nameLocation: 'start',
				type: 'value',
			 	inverse:(isOpen == "false") ? false : true,
				axisLine:{show:false},
				splitLine:{show:true},
				axisTick:{show: false},
				axisLabel:{show: false},
        max:maxChineseRank,
				min:minChineseRank,
				interval:(minChineseRank-maxChineseRank)/4,
				splitNumber:4,
			},{
        name: (isOpen == "false") ? '分数':'班级排名',
        nameLocation: 'start',
        nameTextStyle:{
          fontSize:'12',
          color:'#969696',
        },
				type: 'value',
			 	inverse:true,
				axisLine:{show:false},
				splitLine:{show:true},
				axisTick:{show: false},
				axisLabel:{show: false}
			}]
    };
    // 使用刚指定的配置项和数据显示图表。
      myChartChineseRank.setOption(option);
	  return myChartChineseRank;
  }
  var echartChineseRankData = function(chineseRank) {
    myChartChineseRank.setOption({
      series : [{
          name:'chineseRank',
          type:'line',
          label: {
                normal: {
                    show: true,
                    position: 'top'
                }
            },
          itemStyle: {
            normal: {
              //好，这里就是重头戏了，定义一个list，然后根据所以取得不同的值，这样就实现了，
              color: function(params) {
                // build a color map as your need.
                var colorList = [
                  '#1BC376','#1BC376','#1BC376','#1BC376','#1BC376'
                ];
                return colorList[params.dataIndex]
              },
            }
          },
					lineStyle: {
            normal: {
              color:'#1BC376'
              }
            },
          data:chineseRank
        }]
    });
  }
  var initEchartsMathRank = function(maxMathRank,minMathRank) {
    // 基于准备好的dom，初始化echarts实例
    var myChartMathRank = echarts.init(document.getElementById('mathRank'));

    var option = {
      tooltip: {},
      legend: {},
			calculable : true,
      xAxis: {
        show:false,
        data:[5,10,15,20,25],
				type: 'category',
				boundaryGap: false,
				axisLine: {onZero: false},
				// show: false,
			},
      yAxis: [{
        name: '数学',
        nameLocation: 'start',
				type: 'value',
			 	inverse:(isOpen == "false") ? false : true,
				axisLine:{show:false},
				splitLine:{show:true},
				axisTick:{show: false},
				axisLabel:{show: false},
        max:maxMathRank,
				min:minMathRank,
				interval:(minMathRank-maxMathRank)/4,
				splitNumber:4,
			},{
        name: (isOpen == "false") ? '分数':'班级排名',
        nameLocation: 'start',
        nameTextStyle:{
          fontSize:'12',
          color:'#969696',
        },
				type: 'value',
			 	inverse:true,
				axisLine:{show:false},
				splitLine:{show:true},
				axisTick:{show: false},
				axisLabel:{show: false}
			}]
    };
    // 使用刚指定的配置项和数据显示图表。
      myChartMathRank.setOption(option);
	  return myChartMathRank;
  }
  var echartMathRankData = function(mathRank) {
    myChartMathRank.setOption({
      series : [{
          name:'mathRank',
          type:'line',
          label: {
                normal: {
                    show: true,
                    position: 'top'
                }
            },
          itemStyle: {
            normal: {
              //好，这里就是重头戏了，定义一个list，然后根据所以取得不同的值，这样就实现了，
              color: function(params) {
                // build a color map as your need.
                var colorList = [
                  '#1BC376','#1BC376','#1BC376','#1BC376','#1BC376'
                ];
                return colorList[params.dataIndex]
              },
            }
          },
					lineStyle: {
            normal: {
              color:'#1BC376'
              }
            },
          data:mathRank
        }]
    });
  }
  var initEchartsEnglishRank = function(maxEnglishRank,minEnglishRank) {
    // 基于准备好的dom，初始化echarts实例
    var myChartEnglishRank = echarts.init(document.getElementById('englishRank'));

    var option = {
      tooltip: {},
      legend: {},
      calculable : true,
      xAxis: {
        show:false,
        data:[5,10,15,20,25],
				type: 'category',
				boundaryGap: false,
				axisLine: {onZero: false},
				// show: false,
			},
			yAxis: [{
        name: '英语',
        nameLocation: 'start',
				type: 'value',
			 	inverse:(isOpen == "false") ? false : true,
				axisLine:{show:false},
				splitLine:{show:true},
				axisTick:{show: false},
				axisLabel:{show: false},
        max:maxEnglishRank,
				min:minEnglishRank,
				interval:(minEnglishRank-maxEnglishRank)/4,
				splitNumber:4,
			},{
        name: (isOpen == "false") ? '分数':'班级排名',
        nameLocation: 'start',
        nameTextStyle:{
          fontSize:'12',
          color:'#969696',
        },
				type: 'value',
			 	inverse:true,
				axisLine:{show:false},
				splitLine:{show:true},
				axisTick:{show: false},
				axisLabel:{show: false}
			}]
    };
    // 使用刚指定的配置项和数据显示图表。
      myChartEnglishRank.setOption(option);
	  return myChartEnglishRank;
  }
  var echartEnglishRankData = function(englishRank) {
    myChartEnglishRank.setOption({
      series : [{
          name:'englishRank',
          type:'line',
          label: {
                normal: {
                    show: true,
                    position: 'top'
                }
            },
          itemStyle: {
            normal: {
              //好，这里就是重头戏了，定义一个list，然后根据所以取得不同的值，这样就实现了，
              color: function(params) {
                // build a color map as your need.
                var colorList = [
                  '#1BC376','#1BC376','#1BC376','#1BC376','#1BC376'
                ];
                return colorList[params.dataIndex]
              },
            }
          },
					lineStyle: {
            normal: {
              color:'#1BC376'
              }
            },
          data:englishRank
        }]
    });
  }
  return {
    init: init
  };
});
