// 主界面
;
define(function(require, exports, module) {
	'use strict';
	var util = require("util");
	var base = require("base");
	var databind = require("databind");
	var listView = require("listView");
	var router = require("pageRouter");
	var dialog = require("dialog");
	var constant = require("constant");
	var dom;
	var studentId;
	var studentName;

	var init = function() {
		dom = $("#personal-pass-book");
		router.init();
		initEvent();
		loadData();
	};

	var initEvent = function() {
		studentId = base.getUrlParam("studentId");
		studentName = decodeURIComponent(base.getUrlParam("studentName"));
		dom.find(".header-title").html(studentName+"的过关书目");

		dom.on("click", ".book", function(){
			var bookId = $(this).attr("bookId");
			router.route("#studentPage.task-book-detail?bookId="+bookId);
			// base.openUrl("index.html#teacherPage.book-detail?bookId="+bookId, "YX_READING_STUDENT_APP");
		});
	};
	
	var loadData = function() {
		inquireReadingBookPassListByStudentIdTenant();
	};
	
	var inquireReadingBookPassListByStudentIdTenant = function(){
		databind.submit([], {
            action: "inquireReadingBookPassListByStudentIdTenant",
            version: "v1.0",
            data: {
            	studentId: studentId
            },
            success:function(data){
            	var html = juicer(dom.find("#book-tpl").html(), data.datas[0]);
            	dom.find(".bookListContent").html(html);
            	dom.find(".bookNum").html("共"+data.datas[0].bookList.length+"本");
            }
        });
	};

	return {
		init: init
	};
});
