// 主界面
;
define(function(require, exports, module) {
  'use strict';
  var util = require("util");
  var base = require("base");
  var databind = require("databind");
  var listView = require("listView");
  var router = require("pageRouter");
  var dialog = require("dialog");
  var constant = require("constant");
  var dom;
  var pageIndex;
  var selectedId;
  var diplomaContent = require("./student-diploma-content.html");
  var diplomaContentJs = require("./student-diploma-content.js");

  var init = function() {
    dom = $("#student-diploma");
    router.init();
    initEvent();
    initMenu();
    loadData();
  };
  var initEvent = function() {

  };

  var initMenu = function(){
    var studentDiplomaQty = base.getUrlParam("studentDiplomaQty");
    var classDiplomaQty = base.getUrlParam("classDiplomaQty");
    if (studentDiplomaQty == undefined || studentDiplomaQty == "undefined"){
      studentDiplomaQty = 0;
    }
    if (classDiplomaQty == undefined || classDiplomaQty == "undefined"){
      classDiplomaQty = 0;
    }
    var schoolId = base.getUrlParam("schoolId");
    var studentId = base.getUrlParam("studentId");
    var data = {};
    data.studentDiplomaQty = studentDiplomaQty;
    data.classDiplomaQty = classDiplomaQty;
    var html = juicer(dom.find('#menustripTpl').html(), data);
    dom.find('#menustripTabs').append(html);
    // var tempSelected = base.getData("selectedId");
    // if (tempSelected !== null && tempSelected !== undefined) {
    // 	selectedId = tempSelected;
    // }
    if (selectedId) {
      dom.find("#" + selectedId).attr("data-selected", true);
      dom.find("#list-content").append(diplomaContent);
      var params = {};
      params.selectedId = selectedId;
      params.schoolId = schoolId;
      params.studentId = studentId;

      diplomaContentJs.init(params);
    } else {
      dom.find("#personal").attr("data-selected", true);
      dom.find("#list-content").append(diplomaContent);
      var params = {};
      params.selectedId = "personal";
      params.schoolId = schoolId;
      params.studentId = studentId;
      diplomaContentJs.init(params);
    }
    base.removeData("selectedId");
    $('#menustrip').mobiscroll().menustrip({
      theme: 'mobiscroll',
      display: 'top',
      type: 'tabs',
      onItemTap: function (event, inst) {
        //
        var itemId = event.target.id;
        selectedId = itemId;
        base.saveData("selectedId",selectedId);
        dom.find("#list-content").empty();
        dom.find("#list-content").append(diplomaContent);
        var params = {};
        params.selectedId = itemId;
        params.schoolId = schoolId;
        params.studentId = studentId;
        diplomaContentJs.init(params);
      },
      onMarkupReady: function (event, inst) {

      },
    });
  };

  var loadData = function() {
  };

  return {
    init: init
  };
});
