// 主界面
;
define(function(require, exports, module) {
  'use strict';
  var util = require("util");
  var base = require("base");
  var databind = require("databind");
  var listView = require("listView");
  var router = require("pageRouter");
  var dialog = require("dialog");
  var constant = require("constant");
  var readingUtil = require("readingUtil");
  var dom;

  var init = function() {
    dom = $("#student-level");
    router.init();
    initEvent();
    loadData();
  };

  var initEvent = function() {
  };

  var loadData = function() {
    inquireReadingStudentLevelAccount();
  };

  var inquireReadingStudentLevelAccount = function () {
    databind.submit([], {
      action: "inquireReadingStudentLevelAccount",
      version: "v1.0",
      data: {
      },
      success:function(data){
        var ret = data.datas[0];
        dom.find(".studentName").html(ret.studentName);
        var levelDom = readingUtil.getReadingLevelDom(ret.level);
        dom.find("#levelDom").append(levelDom);
        var html = juicer(dom.find("#next-tpl").html(), data.datas[0]);
        dom.find(".next").html(html);
        if (ret.photoUuid !== ""){
          dom.find(".headPhoto").attr("src", CONFIG.fsPath+"v1.0/viewPic.file?fileUuid=" + ret.photoUuid + "&view=1&size=120");
        }
      }
    });
  };

  return {
    init: init
  };
});
