define(function(require, exports, module) {
	'use strict';
	var util = require("util");
	var base = require("base");
	var databind = require("databind");
	var listView = require("listView");
	var router = require("pageRouter");
	var dialog = require("dialog");
	var constant = require("constant");
	var dom;

	var init = function() {
		dom = $("#page-task-indicator-detail");

		initJuicer();
    initEvent();
		loadData();
	};
  var initEvent=function(){
    dom.on("click",".data-item",function(){
      window.location.href= "#evaluate_bureau.school-task-detail?data-id="+$(this).attr("data-id")+"&taskId="+$(this).attr("data-task-id");
    });
  };

	var initJuicer = function() {
		juicer.register("fsPath", function() {
			return CONFIG.fsPath;
		});
		
		juicer.register("getValueByKey", constant.getValueByKey);
	};

	var loadData = function() {
		databind.submit([],{
			action:"inquireResultRankingListEvaAppGlobal",
			data:{indicatorId:base.getUrlParam("indicatorId"),taskId:base.getUrlParam("taskId")},
			success:function(ret){
				if(ret.datas.length){
					var evaname = ret.datas[0].evaluateName;
					dom.find(".data-title-words").text(evaname);
				}
				var html = juicer(dom.find("script[data-tmpl=listitem]").html(),ret);
				dom.find(".data-list").html(html);
				console.log(ret);
			}
		});
	};

	return {
		init: init
	};
});
