// 主界面
;
define(function(require, exports, module) {
	'use strict';
	var util = require("util");
	var base = require("base");
	var appbase = require("android_base");
	var router = require("pageRouter");
	var dialog = require("dialog");
	var databind = require("databind");
	var permission  = require("permission");
	var parameter;

	var defaultLoader = function() {
		parameter = base.getUrlParam("parameter");
		var businessId = base.getUrlParam("businessId");
		if (parameter || businessId) {
			router.loadPage("inform/inform-detail");
			return true;
		} else {
			var currentHash = window.location.hash;
			if (!currentHash) {
//				router.loadPage("inform/homepage");
				router.loadPage("inform/inform-menustrip");
			} else {}
		}
	}

	var init = function() {
		initEvent();
		router.init();
		 loadPermission();
		router.setDefaultLoader(defaultLoader);
	};
	var loadPermission=function(){
	  databind.submit([],{
	    action:"inquireOperationCodeListAccount",
	    version:"v1.0",
	    // path:"/home/",
	    async:false,
	    success:function(ret){
	    	var operationCodes = ret.datas[0].operationCode;
			  for (var i=0; i<operationCodes.length; i++) {
			     $("#permissions").append('<div class="operation" operation="' + operationCodes[i] + '"></div>');
			  }
	      permission.permissionControl($("#permissions"),$("body"));
	      $(document).on("page-load",function(){
	        permission.permissionControl($("#permissions"),$("body"));
	      });
	    }
	  });
  };

	var initEvent = function() {

		document.body.addEventListener('touchstart', function() {});

		$("body").on("click", ".backBtn", function() {
			base.back();
			return false;
		});

		$("body").on("click", "[page-router]", function() {
			var t = $(this);
			router.route(t.attr("href"));
			return false;
		});
	};

	return {
		init: init
	};
});
