// 主界面
;
define(function(require, exports, module) {
	'use strict';
	var util = require("util");
	var base = require("base");
	var databind = require("databind");
	var listView = require("listView");
	var router = require("pageRouter");
	var dialog = require("dialog");
	var dom;
	var init = function() {
		dialog.hideDialog();
		dom = $("#page-homepage");
		router.init();
		initEvent();
		redTo();
		loadData();
	};

	var initEvent = function() {
		//to搜索页面
		dom.on("click", ".searchInput", function() {
			router.route("inform.searchList");
		});

		//我发出的
		dom.on("click", ".baseList-item.send", function() {
			router.route("inform.informList?formType=1");
		});

		//我收出的
		dom.on("click", ".baseList-item.reciv", function() {
			router.route("inform.informList?formType=2");
		});

		//单位收到通知
		dom.on("click", ".baseList-item.tenant_reciv", function() {
			router.route("inform.informList?formType=3");
		});
		
		//报送我的
		/*dom.on("click", ".baseList-item.report", function() {
			router.route("inform.informList?formType=4");
		});*/
		
		//单位发出的通知
		dom.on("click",".baseList-item.tenant_send",function(){
			router.route("inform.informList?formType=5");
		});

		dom.on("click",".btn-addBlue",function(){
			router.route("inform.inform-create?formType=1");
		});
	
	};

	var loadData = function(){
		 databind.submit({}, {
		 	action: "inquireUnreadNoticeAccount",
		 	success: function(data) {
		 		var count = data.datas[0];
		 		if(count > 0){
					dom.find(".daiban_undo").css("display","block");
					dom.find(".daiban_undo").html("").html(count);
				}else{
					dom.find(".daiban_undo").css("display","none");
				}
		 	}
		 });
	};

	var redTo = function() {
		var res = base.getData("redTo");
		switch (res) {
			case "1":
				router.route("task.taskList?type=1");
				base.removeData("redTo");
				break;
			default:
				break;
		}
	};

	return {
		init: init
	};
});
