// 主界面
;
define(function(require, exports, module) {
	'use strict';
	var util = require("util");
	var base = require("base");
	var databind = require("databind");
	var listView = require("listView");
	var router = require("hash/pageRouter");
	var dialog = require("dialog");
	var height;
	var detailHtml;
	var index = 1;
	var dom;
	var init = function() {
		dom = $("#container");
		router.init();
		juicer.register("getFsApiPath", function(datas) {
			return CONFIG.fsPath;
		})
		initEvent();
		//detailHtml = $(".newsDetail").html();

	};
	var initEvent = function() {
		var height = ($(window).height() - 44) / 10;
		$(".noSearchContent").css("height", height + "rem").css("line-height", height + "rem");
		//滚动条滚动监听
		$(window).scroll(function(event) {
			//			if ($(window).scrollTop() >= $(".newsList").height() - $(window).height()) {
			//			}
			$(".blank").removeClass("none");
			if ($(window).scrollTop() == 0) {
				$(".update").fadeIn(300, function() {
					getListDatas(1);
					$(".update").fadeOut(3000);
				});
			}
		});

		//搜索
		$(".searchText").on("touchend", function() {
			$(".main div").remove();
			var title = $(".searchAreaInput").val();
			inquireInformListPersonal(title);
		});

		//清空搜索框
		$(".clearInput").on("touchend", function() {
			$(".searchAreaInput").val("");
		});

		//列表点击
		$(".container").on("click", ".listItem", function() {
			router.route("inform.informDetail?taskId=" + $(this).attr("taskId"));
		});

		$("#go_more").on("click",function() {
			var title = $(".searchAreaInput").val();
			$("#go_more").hide();
			$("#go_loading").show();
			index = index + 1;
			inquireCmsList(title);
		});
	};
	var inquireInformListPersonal = function(title) {
		databind.submit({}, {
			action: "inquireTaskListOfMine",
			version: "v1.0",
			useCache: true,
			data: {
 				"memberTypeOfMine": 2,
				"notificationType": "通知公告",
				"type": 1,
				"title": title,
				"pageIndex": index
			},
			success: function(data) {
				$(".main div").remove();
				if (data.datas == "") {
					var str = "";
					str += "<div class='noSearchContent subheadStyle'>暂无与“" + title + "”有关的消息</div>";
					$(".main").append(str);
				} else {
					var str = "";
					for (var i = 0; i < data.datas.length; i++) {
						str += "<div class='listItem' taskId='" + data.datas[i].taskId + "'>";
						str += "<div class='content'>";
						str += "<div class='contentTop'>";
						str += "<div class='noticeTitle apostrophe contentStyle'>" + data.datas[i].title + "</div>";
						str += "<div class='clear'></div>";
						str += "<div class='noticeTime'><img src='../../res/images/icon/clock.png'>" + data.datas[i].createDate + "</div>";
						str += "<div class='fromName'>来自&nbsp;" + data.datas[i].fromName + "</div>";
						str += "</div></div></div>";
					}
					dom.find(".main").append(str);
					$("#go_loading").hide();
					var count = data.totalPageCount;
					if (index >= count) {
						$("#go_more").hide();
					} else {
						$("#go_more").show();
					}
				}
			}
		});
	}

	return {
		init: init
	};
});