// 主界面
;define(function(require, exports, module) {
  'use strict';
  var base = require("base");
  var databind = require("databind");
  var docPreview=require("docPreview");
  var loadCount;
  var fileId;
  var dom;
  var t;
  var tp;
  var totalPics = 0;
  var previewType;
  var name,fid;
  var init = function(){
    dom = $("body");
    loadCount = 0 ;
    name = base.getUrlParam("fn");
    fid = base.getUrlParam("fid");
    // previewType = tp;
    initEvent();

    loadData();
    onMeasure();
    $(window).resize(onMeasure);
  };

  var initEvent = function(){
    $("#header .statement .close").on("click",function(){
      $("#header .statement").remove();
      $("#page-content").css("margin-top",parseInt($("#header").css("height")));
    });
  };
  var onMeasure=function(){
    var pc = $("#page-content");
    var mh = parseInt(pc.css("min-height"));
    var pt = parseInt(pc.css("margin-top"));
    if(mh+pt!=$(window).height()){
      pc.css("min-height",$(window).height()-pt).css("height",$(window).height()-pt);
    }
  };

  var  loadData=function(){
  	$(".fileName").html(name);
	  $("a.downloadFile").text("下载该文件").attr("href",CONFIG.fsPath+'v1.0/downloadFile.file?fileUuid='+fid+'&filename='+name);
	  loadPreview(fid,name);

//  databind.submit([],{
//    action:"inquireFileFileUUID",
//    version:"v1.0",
//    product:"pan",
//    data:{fileId:base.getUrlParam("fid")},
//    success:function(data){
//        var dt = data.datas[0];
//        $(".fileName").html(dt.fileName);
//        $("a.downloadFile").text("下载该文件").attr("href",CONFIG.fsPath+'v1.0/downloadFile.file?fileUuid='+dt.fileUuid+'&filename='+dt.fileName);
//        loadPreview(dt.fileUuid,dt.fileName);
//    }
//  });
  };

  var loadPreview = function(fid , fname){
      var ext = fname.replace(/.*\.(\w+)/,"$1");
      if(!ext){
        //提示不支持格式
      }
      ext = ext.toLowerCase();
      if(ext.match(/(jpg)|(png)|(gif)/)){
        $("#page-content .transformationing").removeClass("none");
        docPreview.filePreview(0,{id:"page-content",fileUuid:fid});
          return ;
      }
      if(ext.match(/(htm)|(html)/)){
        $("#page-content .transformationing").removeClass("none");
        docPreview.filePreview(1,{id:"page-content",fileUuid:fid});
          return ;
      }
      if(ext.match(/(doc)|(docx)|(xls)|(xlsx)/)){
        $("#page-content .transformationing").removeClass("none");
        docPreview.filePreview(2,{id:"page-content",fileUuid:fid});
          return ;
      }
      if(ext.match(/(pdf)|(ppt)|(pptx)/)){
        $("#page-content .transformationing").removeClass("none");
        docPreview.filePreview(3,{id:"page-content",fileUuid:fid});
          return ;
      }
      if(ext.match(/(avi)|(mp4)|(3gp)|(flv)|(mov)|(wmv)/)){
        $("#page-content .transformationing").removeClass("none");
        docPreview.filePreview(4,{id:"page-content",fileUuid:fid});
          return ;
      }
      if(ext.match(/(txt)/)){
        $("#page-content .transformationing").removeClass("none");
        docPreview.filePreview(5,{id:"page-content",fileUuid:fid});
          return ;
      }

      if(ext.match(/(mp3)/)){
        $("#page-content .transformationing").removeClass("none");
        docPreview.filePreview(6,{id:"page-content",fileUuid:fid});
          return ;
      }
      $("#page-content .notsupport").removeClass("none");
  };





  return {
    init:init
  };
});
