// 主界面
;define(function(require, exports, module) {
  'use strict';

  var renderEdit=function(tmpl,data,opt){
	  var width = 100/(parseInt(data.lineWidth?data.lineWidth:1)/1);
	  renderEditCommon(tmpl,data,opt,width);
  };
  var renderEditMobile=function(tmpl,data,opt){
	  var width = 100;
	  renderEditCommon(tmpl,data,opt,width);
  };
  var renderEditCommon=function(tmpl,data,opt,width){
    var tpdom = $(tmpl);
    var tmplText = tpdom.find("script.input").html();
    var  td = $(tmplText);
    td.css("width",width+'%');
    return td;
  };

  var renderView=function(tmpl,data,opt){
	  var width = 100/(parseInt(data.lineWidth?data.lineWidth:1)/1);
	  return renderViewCommon(tmpl,data,opt,width);
  }
  
  var renderViewMobile=function(tmpl,data,opt){
	  var width = 100;
	  return renderViewCommon(tmpl,data,opt,width);
  }
  
  var renderViewCommon=function(tmpl,data,opt,width){
    var tpdom = $(tmpl);
    var tmplText = tpdom.find("script.view").html();
    var  td = $(tmplText);
    td.css("width",width+'%');
    return td;
  };



  return {
    renderEdit:renderEdit,
    renderEditMobile : renderEditMobile,
    renderView:renderView,
    renderViewMobile: renderViewMobile
  };
});
