// 主界面
;define(function(require, exports, module) {
  'use strict';

  var renderEdit=function(tmpl,data,opt){
	  var width = 100/(parseInt(data.lineWidth?data.lineWidth:1)/1);
	  return renderEditCommon(tmpl,data,opt,width);
  };
  var renderEditMobile=function(tmpl,data,opt){
	  var width = 100;
	  return renderEditCommon(tmpl,data,opt,width);
  };

  var renderEditCommon=function(tmpl,data,opt,width){
    var tpdom = $(tmpl);
    var tmplText = tpdom.find("script.searchbuttons").html();
    var  td = $(tmplText);
    td.css("width",width+"%");
    td.find(".customForm-search-confirmButton").html(data.fieldName);
    return td.prop("outerHTML");
  };
  
  var renderView=function(tmpl,data,opt){
    return [];
  };

  return {
    renderEdit:renderEdit,
    renderEditMobile : renderEditMobile
  };
});
