// 主界面
;define(function(require, exports, module) {
  'use strict';
  var databind = require("databind");

  var renderEdit=function(tmpl,data,opt,component){
    var tpdom = $(tmpl);
    var tmplText = tpdom.find("script.submitbuttons").html();
    var  td = $(tmplText);
    td.find(".customForm-submit-confirmButton").html(data.fieldName);
    td.find(".customForm-submit-cancelButton").on("click",function(){
      if(opt.callback.insertCancel && typeof(opt.callback.insertCancel) == 'function'){
        opt.callback.insertCancel(opt.dom,opt);
        return ;
      }
      window.history.back();
    });
    td.find(".customForm-submit-confirmButton").on("click",function(){
      var clickDom = $(this);
      if(!component.validate($(clickDom.parents(".customForm-container")[0]))){
        return ;
      }
      var data= component.getData(opt.dom);
      if(opt.callback.beforeSubmit && typeof(opt.callback.beforeSubmit) == 'function'){
        if(opt.callback.beforeSubmit(opt.dom,opt,data)===false){
          return ;
        }
      }
      var dataId = $(clickDom.parents(".customForm-container")[0]).attr("dataId");
      // if(!dataId){
      //   databind.submit([],{
      //     action:"insertFormDataTenant",
      //     version:"v1.0",
      //     data:{
      //       formId:$(td.parent()).attr("formId"),
      //       data:JSON.stringify(data)
      //     },
      //     success:function(data){
      //       if(opt.callback.afterInsert && typeof(opt.callback.afterInsert) == 'function'){
      //         opt.callback.afterInsert(data.datas[0].dataId);
      //       }
      //     }
      //   });
      // }else{
      //   databind.submit([],{
      //     action:"updateFormDataTenant",
      //     version:"v1.0",
      //     data:{
      //       formId: $(clickDom.parents(".customForm-container")[0]).attr("formId"),
      //       dataId:dataId,
      //       data:JSON.stringify(data)
      //     },
      //     success:function(data){
      //       if(opt.callback.afterUpdate && typeof(opt.callback.afterUpdate) == 'function'){
      //         opt.callback.afterUpdate();
      //       }
      //     }
      //
      //   });
      // }

    });
    return td;
  };
  var renderView=function(tmpl,data,opt){
    return [];
  };

  return {
    renderEdit:renderEdit
  };
});
