// 主界面
define(function(require, exports, module) {
  'use strict';
  var T = {};
  var anim ;
//id:节点id
//fileUuid:预览文件id
//type:预览方式  0:图->图   1:html->html 3:n->html 4:n->jpg 5:video->mp4
  T.init = function(fileUuid,opt){
    require.async(CONFIG.BasePath+"component/docPreview/preview-gallery.html",function(html){
      var dom = $("#"+opt.id);
      if(!opt.style){
        verticlePics(dom,html,fileUuid,opt);
      }
      if(opt.style===1){
        horPics(dom,html,fileUuid,opt);
      }


    });
  };
  var horPics = function(dom,html,fileUuid,opt){
    var data = {width:parseInt(dom.css("width")),height:parseInt(dom.css("height")),datas:fileUuid,fsPath:CONFIG.fsPath};
    var rendered= juicer($(html).find(".style1").html(),data);
    dom.html(rendered);
    dom.find("img").load(function(){
      var _t=$(this);
      var p = _t.parent();
      _t.css("margin-top",(parseInt(p.css("height"))-parseInt(_t.css("height")))/2);
    });
    dom.find(".snap").on("click",function(){
      var fid = $(this).attr("fileUuid");
      if(!fid){return ;}
      dom.find(".snap").css("opacity","0.5").css("background-color","#dbdbdb");
      $(this).css("opacity","1").css("background-color","#999999");
      dom.find(".mainImg").attr("src",CONFIG.fsPath+"v1.0/downloadFile.file?fileUuid="+fid);
    });

    dom.find(".btn-prev").on("click",function(){
      if(anim){
        anim.stop();
      }
      anim=dom.find(".previews").animate({scrollLeft:"-="+((data.height*0.1*4)/3+7)*3},1000);
    });
    dom.find(".btn-next").on("click",function(){
      if(anim){
        anim.stop();
      }
      anim=dom.find(".previews").animate({scrollLeft:"+="+((data.height*0.1*4)/3+7)*3},1000);
    });

    dom.find("img").each(function(idx,itm){
      var t = $(itm);
      if(t.attr("_src")){
        t.attr("src",t.attr("_src"));
      }
    });
    $(dom.find(".snap")[0]).trigger("click");

  };
  var verticlePics = function(dom,html,fileUuid,opt){
    dom.html($(html).find(".style0").html());
    var contentDom = dom.find(".docStyle");
    contentDom.css("max-height",dom.css("height")).css("max-width",dom.css("width"));

    var maxwidth = 1000;
    if(parseInt(dom.css("width"))<1020){
      maxwidth = parseInt(dom.css("width"))-20;
    }

    for(var idx in fileUuid){
      var  fid = fileUuid[idx];
      var one  = $("<img>");
      one.attr("src",CONFIG.fsPath+"/v1.0/downloadFile.file?fileUuid="+fid);
      one.css("max-width",maxwidth);
      one.css("margin-bottom","5px");
      one.css("margin-top","5px");
      contentDom.append(one);
    }
  };
  return T;
});
