// 主界面
define(function(require, exports, module) {
  'use strict';
  var T = {};
  T.init = function(fileUuid,opt){
    if(fileUuid&&fileUuid.push){
      fileUuid = fileUuid[0];
    }
    require.async(CONFIG.BasePath+"component/docPreview/preview-txt.html",function(html){
      var dom = $("#"+opt.id);
      var charset = opt.charset ;
      if(!charset){
        opt.charset="gbk";
      }
      loadContent(fileUuid,opt,html);

    });

  };

  var loadContent=function(fileUuid,opt,html){
    var dom = $("#"+opt.id);
    $.ajax(CONFIG.fsPath+"v1.0/readTextFile.json?charset="+opt.charset+"&fileUuid="+fileUuid,{
      dataType:"json",
        success:function(ret){
          if(ret.flag.toLowerCase()!="success"){
              console.log(ret);
              return ;
          }
          var dt= ret.datas[0].content;
          var hd = $(html);
          hd.find(".content").html(dt.replace(/[\r\n]+/g,"<br>").replace(/\s/g,"&nbsp;").replace(/<\/?script.*?>/g,""));
          hd.find("select").val(opt.charset).on("change",function(){
            opt.charset=$(this).val();
            loadContent(fileUuid,opt,html);
          });
          dom.html(hd);
        }
    });
  };
  return T;
});
