// 主界面
;
define(function (require, exports, module) {
  'use strict';
  var util = require("util");
  var base = require("base");
  var databind = require("databind");
  var listView = require("listView");
  var router = require("pageRouter");
  var dialog = require("dialog");
  var constant = require("constant");
  var dom;
  var tips;
  var bookId;
  var topicId;
  var reportErrorCallBack;
  var test;
  var isClick;

  var init = function (opt) {
    dom = $("#dialog-topic-report-error");
    router.init();
    initEvent();
    tips = opt.params.tips;
    reportErrorCallBack = opt.params.reportErrorCallBack;
    topicId:opt.params.topicId;
  };

  var initEvent = function () {
    isClick = true;
    $(".dialog-container").bind("dialogLoaded", function () {
      $(".dialog-container").css("background-color", "transparent");
      $(".dialog-container").css("box-shadow", "none");
      $(".dialog-container").css("-webkit-box-shadow", "none");
      var width = $(".dialog-container").width() * 0.7;
      var height = width * 1.297;
      dom.css("height", height + "px");
      var screenHeight = window.screen.height;
      if (height > 640){
        dom.css("height", "494.32px");
        dom.css("border-radius", "10px");
      }
    });

    dom.on("click", ".reportErrorBtn", function () {
      if (isClick){
        isClick= false;
        //定时器
        setTimeout(function(){
          isClick = true;
        }, 500);
        var errorType = $(this).attr("errorType");
        reportErrorCallBack(topicId, errorType);
      }
    });
  };

  return {
    init: init
  };
});