// 主界面
define(function (require, exports, module) {
  'use strict';
  var base = require("base");
  var dialog = require("dialog");
  var databind = require("databind");
  var listView = require("listView");
  var dom;
  var init = function (opt) {
    dom = $("#dialog-update-reward");
    loadData();
  };

  var loadData = function () {
    calculateBgSize();
  };

  var initEvent = function () {

  };

  var calculateBgSize = function () {
    var winWidth = 0;
    var winHeight = 0;
    // 获取窗口宽度
    if (window.innerWidth)
      winWidth = window.innerWidth;
    else if ((document.body) && (document.body.clientWidth))
      winWidth = document.body.clientWidth;
    // 获取窗口高度
    if (window.innerHeight)
      winHeight = window.innerHeight;
    else if ((document.body) && (document.body.clientHeight))
      winHeight = document.body.clientHeight;
    // 通过深入 Document 内部对 body 进行检测，获取窗口大小
    if (document.documentElement && document.documentElement.clientHeight && document.documentElement.clientWidth) {
      winHeight = document.documentElement.clientHeight;
      winWidth = document.documentElement.clientWidth;
    }

    var minHeight = winWidth * 0.8 / 1.05;
    var closeImg = winWidth * 0.1;
    var fontSize = winWidth / 20;

    dom.css("min-height",minHeight);
    dom.find(".dialog-update-close").css("height",closeImg);
    dom.find(".dialog-update-close").css("width",closeImg);
    dom.find(".update-successful").css("font-size",fontSize + "px");
    dom.find(".update-tips").css("font-size",fontSize - 2 + "px");
  };

  return {
    init: init
  };
});
