// 主界面
;
define(function(require, exports, module) {
	'use strict';
	var util = require("util");
	var base = require("base");
	var router = require("pageRouter");
	var dialog = require("dialog");
	var parameter;

	var defaultLoader = function() {
		parameter = base.getUrlParam("parameter");
		if (parameter) {
			router.loadPage("news/detail-information");
			return true;
		} else {
			var currentHash = window.location.hash;
			if (!currentHash) {
				router.loadPage("news/information");
			} else {}
		}
	}

	var init = function() {
		initEvent();
		router.init();
		router.setDefaultLoader(defaultLoader);
	};

	var initEvent = function() {

		document.body.addEventListener('touchstart', function() {});

		$("body").on("click", ".backBtn", function() {
			base.back();
			return false;
		});

		$("body").on("click", "[page-router]", function() {
			var t = $(this);
			router.route(t.attr("href"));
			return false;
		});
	};

	return {
		init: init
	};
});