// 主界面
;
define(function(require, exports, module) {
	'use strict';
	var util = require("util");
	var base = require("base");
	var docPreview = require("docPreview");
	var parameter;

	var init = function() {
		base.setImgZoom(true);
		initEvent();
    loadData();
	};

	var initEvent = function() {

  };
  var loadData=function(){
    var fileName = base.getUrlParam("fileName");
    var fileSize = base.getUrlParam("fileSize");
    var fileUuid = base.getUrlParam("fileUuid");
    if(fileUuid&&fileName){
        loadByFileUUID(fileUuid,fileName);
    }else{
    //   fileUuid='6fa829aac86d4d4191d5607f31dc9f6b';
	  // fileName="10.pdf";
	  // loadByFileUUID(fileUuid,fileName);
    }

  };

  var loadByFileUUID=function(fileUuid,fileName){
    var dt = {fileUuid:fileUuid,fileName:fileName};
    loadPreview(dt.fileUuid,dt.fileName);
  };

  var loadPreview = function(fid , fname){
      var ext = fname.replace(/.*\.(\w+)/,"$1");
      if(!ext){
        //提示不支持格式
      }
      ext = ext.toLowerCase();
      if(ext.match(/(jpg)|(png)|(gif)|(jpeg)/)){
        $("#page-content .transformationing").removeClass("none");
        docPreview.filePreview(0,{id:"page-content",fileUuid:fid});
          return ;
      }
      if(ext.match(/(htm)|(html)/)){
        $("#page-content .transformationing").removeClass("none");
        docPreview.filePreview(1,{id:"page-content",fileUuid:fid});
          return ;
      }
      if(ext.match(/(xls)|(xlsx)/)){
        $("#page-content .transformationing").removeClass("none");
        docPreview.filePreview(2,{id:"page-content",fileUuid:fid});
          return ;
      }
      if(ext.match(/(doc)|(docx)|(pdf)|(ppt)|(pptx)/)){
        $("#page-content .transformationing").removeClass("none");
        docPreview.filePreview(3,{id:"page-content",fileUuid:fid});
          return ;
      }
      if(ext.match(/(avi)|(mp4)|(3gp)|(flv)|(mov)|(wmv)|(mpg)|(mpeg)/)){
        $("#page-content .transformationing").removeClass("none");
        docPreview.filePreview(4,{id:"page-content",fileUuid:fid});
          return ;
      }
      if(ext.match(/(txt)/)){
        $("#page-content .transformationing").removeClass("none");
        docPreview.filePreview(5,{id:"page-content",fileUuid:fid});
          return ;
      }

      if(ext.match(/(mp3)/)){
        $("#page-content .transformationing").removeClass("none");
        docPreview.filePreview(6,{id:"page-content",fileUuid:fid});
          return ;
      }
      $("#page-content .notsupport").removeClass("none");
  };


	return {
		init: init
	};
});
