// 主界面
;
define(function(require, exports, module) {
	'use strict';
	var util = require("util");
	var base = require("base");
	var appbase = require("android_base");
	var router = require("pageRouter");
	var dialog = require("dialog");
	var databind = require("databind");
	var constant  = require("constant");
	var parameter;

	var defaultLoader = function() {
		parameter = base.getUrlParam("parameter");
		if (parameter) {
			loadMessageDetailType(parameter);
		} else {
			var currentHash = window.location.hash;
			if (!currentHash) {
				router.loadPage("parent/student-attendance");
			} else {}
		}
	};

	var init = function() {
		initEvent();
		router.init();
		router.setDefaultLoader(defaultLoader);

		if(constant&&constant.getValueByKey){
      		juicer.register("dict", constant.getValueByKey);
    	}
		
		base.removeData("classDateTime");
	};

	var initEvent = function() {
		window._android_on_resume=function(){
			$("#pages>*").trigger("on-resume");
			$("#pages").find(".onresume").trigger("on-resume");
		};

		document.body.addEventListener('touchstart', function() {});

		$("body").on("click", ".backBtn", function() {
			base.back();
			return false;
		});

		$("body").on("click", "[page-router]", function() {
			var t = $(this);
			router.route(t.attr("href"));
			return false;
		});
	};

	var loadMessageDetailType = function(receiptId) {
		if (receiptId == "1") {
			router.route("#parent.student-attendance?source=messageCenter");
		}else if (receiptId == "2") {
			router.route("#parent.leave-record?source=messageCenter");
		}
	}
	return {
		init: init
	};
});
