var CONFIG;

//基础配置
CONFIG = CONFIG ? CONFIG : {
	defaultPage:"approve/approveList",
	//API地址
	ApiPath: (function() {
		return window.location.pathname.replace(/(\/[^\/]+\/).*/, "$1");
	})() + "/api/",
	LoginPath: (function() {
		return "/home/login/login.html#"+window.location.href;
	})(),
	fsPath: "/fs/api/",
	ApiVersion: "v1.0",
	//根目录
	BasePath: (function() {
		return window.location.pathname.replace(/(\/[^\/]+).*/, "$1/");
	})(),
	HtmlPath: (function() {
		return window.location.pathname.replace(/(\/[^\/]+\/).*/, "$1");
	})() ,
	ComponentPath:   (function() {return window.location.pathname.replace(/(\/[^\/]+\/).*/, "$1");
	})() + "component/",
	//是否线上环境
	Isinline: false,
	debug: true,
//	AppKey:"",
	SessionUuidKey:"sid",

	AdditonData:function(){}
};


(function() {
	try {
		if (!_android_context) {
			return;
		}
		console.log("load android config");
		CONFIG.ApiPath = _android_context.getApiPath();
		CONFIG.fsPath = _android_context.getFsPath();
		CONFIG.ApiVersion = _android_context.getApiVersion();
		CONFIG.BasePath = _android_context.getBasePath();
		CONFIG.HtmlPath = _android_context.getBasePath();
		CONFIG.debug = _android_context.isDebug();
		CONFIG.ComponentPath = _android_context.getBasePath()+"component/";
	} catch (e) {
		console.log(e)
	} finally {

	}
})();

//seajs配置
seajs.config({
	//基本路径
	//	base: CONFIG.BasePath + 'html/',
	base: CONFIG.BasePath,
	// 别名配置
	alias: {
		util: CONFIG.BasePath + "js/util",
		base: CONFIG.BasePath + "js/base",
		android_base: CONFIG.BasePath + "js/android_base",
		constant: CONFIG.BasePath + "js/constant",
		dialog: CONFIG.BasePath + "js/dialog",
		validate: CONFIG.BasePath + "js/validate",
		databind: CONFIG.BasePath + "js/databind",
		listView: CONFIG.BasePath + "js/listView",
		pageRouter: CONFIG.BasePath + "js/pageRouter",
		permission:CONFIG.BasePath + "js/permission",
		docPreview: CONFIG.BasePath+"component/docPreview/module.js",
		customForm: CONFIG.BasePath+"component/customForm/module.js",
		popupmenu:CONFIG.BasePath+"component/popupmenu/module.js",
		timeFormat: CONFIG.BasePath + "js/timeFormat",
		echarts:CONFIG.BasePath + "js/echarts/echarts.min.js",
		mobiscroll:CONFIG.BasePath + "js/mobiscroll.custom-3.1.0.min.js",
		mobiscrollOld:CONFIG.BasePath + "js/mobiscroll.custom-3.0.1.min.js"
	},
	map: [
		[/^(.*\.(?:css|js))(.*)$/i, '$1?v=20150206']
	],
	charset: 'utf-8',
	handler: '/honor/api/v1.0/' //访问地址
});
