define(function(require, exports, module) {
	'use strict';
	var util = require("util");
	var base = require("base");
	var databind = require("databind");
	var listView = require("listView");
	var router = require("pageRouter");
	var dialog = require("dialog");
	var constant = require("constant");
	var dom;
	var examId;
	var isOpen;

	var init = function() {
		dom = $("#manyProject");
		examId = base.getUrlParam("examId");
		isOpen = base.getData("isOpen");
		initEvent();
		inquireStudentMarkDetailMMAccount();
	};

	var initEvent = function() {
		//重新绑定实体按键返回事件
		window._android_on_back_pressed = function() {
			back();
			return false;
		}

		dom.find(".page-content").css("height",$(window).height()-40);
		dom.find(".page-content").css("overflow", "auto");
		
		$(".backBtn").bind("click", back);
	}

	var inquireStudentMarkDetailMMAccount = function(){
		databind.submit({}, {
			action: "inquireStudentMarkDetailMMAccount",
			data: {
				examId:examId,
			},
			success: function(data) {
				if (isOpen == "false") {
					var shtml = juicer(dom.find("#noOpen-set").html(), data);
				}else {
					var shtml = juicer(dom.find("#test-set").html(), data);
				}
        dom.find("#test").append(shtml);
			}
		});
	}

	//从推送进来 back方式不同
	var back = function() {
		var source = base.getUrlParam("parameter");
		if(source) {
			base.closeWebView();
			return false;
		}
		base.back();
		return false;
	}

	return {
		init: init
	};
});
