define(function(require, exports, module) {
	'use strict';
	var util = require("util");
	var base = require("base");
	var databind = require("databind");
	var listView = require("listView");
	var router = require("pageRouter");
	var dialog = require("dialog");
	var constant = require("constant");
	var todo = require("./markTrack.html");
	var todoJs = require("./markTrack.js");
	var selectedId;
	var courseName;
	var dom;

	var init = function() {
		dom = $("#markTrackTitle");
		inquireStudentMarkTraceCourseListMMAccount();
		// loadMenu();
		// initEvent();
	};

	var inquireStudentMarkTraceCourseListMMAccount = function(){
		databind.submit({}, {
			action: "inquireStudentMarkTraceCourseListMMAccount",
			data: {
			},
			success: function(data) {
				dom.find("#content").empty();
				// var data = {};
				var html = juicer(dom.find('#menustripTpl').html(),data);
				dom.find('#menustripTabs').append(html);
				if(selectedId){
					var id = base.getData("selectedId");
					dom.find("#"+id).attr("data-selected", true);
					dom.find("#content").append(todo);
					todoJs.init();
				}else {
					selectedId = base.getData("selectedId");
					var courseList = [];
					courseList = $("li");
					for(var i = 0;i<courseList.length;i++){
						if (courseList[i].innerText == selectedId || courseList[i].id == selectedId) {
							if (courseList[i].innerText != courseList[i].id) {
								dom.find("#"+courseList[i].innerText).attr("data-selected", true);
								dom.find("#"+courseList[i].id).attr("data-selected", true);
							}else {
								dom.find("#"+selectedId).attr("data-selected", true);
							}
							break;
						}
					}
					dom.find("#content").append(todo);
					todoJs.init();
				}


				$('#menustrip').mobiscroll().menustrip({
					theme: 'mobiscroll',
					display: 'top',
					type: 'tabs',
					onItemTap: function (event, inst) {
						var itemId = event.target.id;
						var courseName = event.target.textContent;
						selectedId = itemId;
						base.saveData("selectedId",selectedId);
						base.saveData("courseName",courseName);
						dom.find("#content").empty();
						for(var i = 0;i <data.datas.length;i++){
							if(itemId == data.datas[i].briefCourseName || courseName == data.datas[i].courseName){
								dom.find("#content").append(todo);
								todoJs.init();
								break;
							}
						}
					},
					onMarkupReady: function (event, inst) {
						var badge;

						$(event.target).find('.mbsc-ms-item').each(function (i, v) {
							badge = $(v).data('badge');
							if (badge > 0 && badge < 100) {
								$(v).append('<span class="md-badge">' + badge + '</span>');
							} else if(badge >= 100) {
								$(v).append('<span class="md-badge bigBadge">99+</span>');
							}
						});
					},
				});
			}
		});
	}

	var initEvent = function() {
		dom.find(".onresume").bind("on-resume", function() {
			console.log("resume");
			dom.find('#menustripTabs').empty();
		});

		$(document).on("toRead",function(){
			console.log("load Count");
			inquireCount();
		});

		//补报点击
				dom.find(".headButton").on("click",function(){
					// router.route("repairsAdmin.repairs-create");
					base.openUrl("index.html#markManage.markTrack","");
				});
	}

	var loadMenu = function(){

		//base.removeData("selectedId");
		// var toReadCount = data.datas[0].todoCount;
		// if (toReadCount > 0) {
		// 	dom.find("#request-toRead").attr("data-badge",toReadCount);
		// }
	};

	var initMenustrip = function() {

	}

	return {
		init: init
	};
});
