// 主界面
;
define(function(require, exports, module) {
	'use strict';
	var util = require("util");
	var base = require("base");
	var databind = require("databind");
	var listView = require("listView");
	var router = require("pageRouter");
	var dialog = require("dialog");
	var dom;
	var index = 1;
	var articleId;
	var replyManId;
	var replyName;
	var siteId;
	var init = function() {
		articleId = base.getUrlParam("articleId");
		dom = $("#container");
		router.init();
//		getSiteId();
		loadData();
		initEvent();
	};

	var getSiteId = function(){

		databind.submit([],{
			action:"inquireCurrentAccountInfo",
			version:"v1.0",
			success:function(ret){
				var dt = ret.datas[0];
				var domain=dt.domain;
				databind.submit([],{
					action:"inquireSiteIdByDomain",
					version:"v1.0",
					data:{
						type:2,
						domain:domain
					},
					success:function(data){
						siteId = data.datas[0].siteId;
					}
				});
			}
		});


};
	var initEvent = function() {
		$(".header").on("click",".backBtn",function(){
			base.back();
			return false;
		});
		
		$("#go_more").on("click",function() {
			$("#go_more").hide();
			$("#go_loading").show();
			index = index + 1;
			loadData();
		});

		$(".news-footer").on("click",".footer_comment",function() {
			dialog.showDialog($("#comment"));
		});

		$("#comment_text").bind("input", function() {
			if ($("#comment_text").val() == "") {
				$("#okBtn").addClass("dialog_nookbtn");
				$("#okBtn").removeClass("dialog_okbtn");
				$("#okBtn").removeClass("comment_okbtn");
			}
			if ($("#comment_text").val().length > 0) {
				$("#okBtn").addClass("dialog_okbtn");
				$("#okBtn").addClass("comment_okbtn");
				$("#okBtn").removeClass("dialog_nookbtn");
			}
		});

		$("#comment_canle").on("click",function() {
			dialog.hideDialog($("#comment"));
			$("#comment").hide();
			$("#comment_text").val("");
			$("#okBtn").addClass("dialog_nookbtn");
			$("#okBtn").removeClass("dialog_okbtn");
			$("#okBtn").removeClass("comment_okbtn");
		});

		$("#comment").on("click",".comment_okbtn",function() {
			var articleId = base.getUrlParam("articleId");
			var content = $("#comment_text").val();
			databind.submit({}, {
				action: "createArticleCommentAccount",
				version: "v1.0",
				data: {
					"content" : content,
					"siteId" : base.getData("siteId"),
					"pushFlag" : 0,
					"articleId": articleId
				},
				success: function(data) {
					dialog.hideDialog($("#comment"));
					$("#comment").hide();
					$("#comment_text").val("");
					$("#okBtn").addClass("dialog_nookbtn");
					$("#okBtn").removeClass("dialog_okbtn");
					$("#okBtn").removeClass("comment_okbtn");
					index = 1;
					loadData();
				}
			});
		});
		/********回复的***********/
		$(".container").on("click",".comment-listitem",function() {
			replyManId = $(this).attr("replyManId");
			replyName = $(this).attr("replyName");
			$("#reply_text").attr("placeholder","回复"+replyName);
			dialog.showDialog($("#reply"));
		});

		$("#reply_text").bind("input", function() {
			if ($("#reply_text").val() == "") {
				$("#replyokBtn").addClass("dialog_nookbtn");
				$("#replyokBtn").removeClass("dialog_okbtn");
				$("#replyokBtn").removeClass("reply_okbtn");
			}
			if ($("#reply_text").val().length > 0) {
				$("#replyokBtn").addClass("dialog_okbtn");
				$("#replyokBtn").addClass("reply_okbtn");
				$("#replyokBtn").removeClass("dialog_nookbtn");
			}
		});

		$("#reply_canle").on("click",function() {
			dialog.hideDialog($("#reply"));
			$("#reply").hide();
			$("#reply_text").val("");
			$("#replyokBtn").addClass("dialog_nookbtn");
			$("#replyokBtn").removeClass("dialog_okbtn");
			$("#replyokBtn").removeClass("reply_okbtn");
		});

		$("#reply").on("click",".reply_okbtn",function() {
			var articleId = base.getUrlParam("articleId");
			var content = $("#reply_text").val();
			databind.submit({}, {
				action: "createArticleCommentAccount",
				version: "v1.0",
				data: {
					"content" : content,
					"siteId" : base.getData("siteId"),
					"pushFlag" : 1,
					"pushAppkey" : "news_hybrid",
					"pushTitle" : "新闻资讯",
					"replyAccountId" : replyManId,
					"articleId": articleId
				},
				success: function(data) {
					dialog.hideDialog($("#reply"));
					$("#reply").hide();
					$("#reply_text").val("");
					$("#replyokBtn").addClass("dialog_nookbtn");
					$("#replyokBtn").removeClass("dialog_okbtn");
					$("#replyokBtn").removeClass("reply_okbtn");
					index = 1;
					loadData();
				}
			});
		});
	};

//	window._android_on_back_pressed = function(){
//		base.back();
//	}

	var loadData = function() {
		databind.submit({}, {
			action: "inquireArticleCommentListAccount",
			version: "v1.0",
			useCache: index==1,
			data: {
				"articleId" : articleId,
				"pageIndex" : index,
				"pageSize":20
			},
			success: function(data) {
				var str = "";
				if(data.pageIndex==1){
					dom.find(".main").empty();
				}
				for (var i = 0; i < data.datas.length; i++) {
					str += "<div class='comment-listitem' replyManId='" + data.datas[i].accountId + "'  replyName='" + data.datas[i].empName + "'>";
					str += "<div class='feedback-item'>"
					str += "<div style='height:100%;border:none;position:relative'>"
					if(data.datas[i].empPhotoId != ""){
						str += "<img src='"+CONFIG.fsPath+"v1.0/viewPic.file?fileUuid="+data.datas[i].empPhotoId+"&size=150"+"' class='comment-picture'/>";
					} else {
						str += "<img src='res/png/touxiang.png' class='comment-picture'/>";
					}
					str += "<div class='comment-top'>";
					str += "<div class='comment-name'>"+data.datas[i].empName+"</div>";
					str += "<div class='date'>"+data.datas[i].createDate+"</div>";
					if(data.datas[i].replyEmpName != ""){
						str += "<div class='comment-content'><pre>"+"回复"+data.datas[i].replyEmpName+":"+data.datas[i].content+"</pre></div>";
					} else {
						str += "<div class='comment-content'><pre>"+data.datas[i].content+"</pre></div>";
					}
					str += "<div class='clear'></div>";
					str += "</div></div></div></div>";
				}
				$(".main").append(str);
				$("#go_loading").hide();
				var count = data.totalPageCount;
				if (index >= count) {
					$("#go_more").hide();
				} else {
					$("#go_more").show();
				}
			}
		});
	};
	return {
		init: init
	};
});
