// 主界面
;
define(function(require, exports, module) {
  'use strict';
  var util = require("util");
  var base = require("base");
  var databind = require("databind");
  var listView = require("listView");
  var router = require("pageRouter");
  var dialog = require("dialog");
  var constant = require("constant");
  var dom;
  var pageIndex;
  var selectedId;
  var diplomaContent = require("./diploma-content.html");
  var diplomaContentJs = require("./diploma-content.js");

  var init = function() {
    dom = $("#diploma");
    router.init();
    initEvent();
    initMenu();
    loadData();
  };
  var initEvent = function() {

  };

  var initMenu = function(){
    var studentDiplomaQty = base.getUrlParam("studentDiplomaQty");
    var classDiplomaQty = base.getUrlParam("classDiplomaQty");
    var data = {};
    data.studentDiplomaQty = studentDiplomaQty;
    data.classDiplomaQty = classDiplomaQty;
    var html = juicer(dom.find('#menustripTpl').html(), data);
    dom.find('#menustripTabs').append(html);
    // var tempSelected = base.getData("selectedId");
    // if (tempSelected !== null && tempSelected !== undefined) {
    // 	selectedId = tempSelected;
    // }
    if (selectedId) {
      dom.find("#" + selectedId).attr("data-selected", true);
      dom.find("#list-content").append(diplomaContent);
      diplomaContentJs.init(selectedId);
    } else {
      dom.find("#personal").attr("data-selected", true);
      dom.find("#list-content").append(diplomaContent);
      diplomaContentJs.init("personal");
    }
    base.removeData("selectedId");
    $('#menustrip').mobiscroll().menustrip({
      theme: 'mobiscroll',
      display: 'top',
      type: 'tabs',
      onItemTap: function (event, inst) {
        //
        var itemId = event.target.id;
        selectedId = itemId;
        base.saveData("selectedId",selectedId);
        dom.find("#list-content").empty();
        dom.find("#list-content").append(diplomaContent);
        diplomaContentJs.init(itemId);
      },
      onMarkupReady: function (event, inst) {

      },
    });
  };

  var loadData = function() {
    var pushType = base.getUrlParam("pushType");
    var diplomaId = base.getUrlParam("diplomaId");
    base.removeData("pushType");
    base.removeData("diplomaId");
    switch(pushType){
      case "2001" :
        if(diplomaId){
          receiveReadingDiplomaAccount(diplomaId);
        }
        break;
      case "2002" : $("#class").click();
        if(diplomaId){
          receiveReadingDiplomaAccount(diplomaId);
        }
        break;
      break;
      default:break;
    }
  };


  var receiveReadingDiplomaAccount = function (diplomaId) {
    databind.submit([], {
      action: "receiveReadingDiplomaAccount",
      version: "v1.0",
      data: {
        diplomaId: diplomaId
      },
      success: function () {
      }
    });
  };


  return {
    init: init
  };
});
