// 主界面
;
define(function(require, exports, module) {
    'use strict';
    var util = require("util");
    var base = require("base");
    var databind = require("databind");
    var listView = require("listView");
    var router = require("pageRouter");
    var dialog = require("dialog");
    var constant = require("constant");
    var dom;
    var postId;

    var init = function() {
        dom = $("#discovery-thumbUp-list");
        router.init();
        initEvent();
        initJuicer();
        loadData();
    };

    var initEvent = function() {
        postId = base.getUrlParam("postId");

        dom.on("click", ".thumbUper", function () {
            var isTeacher = $(this).attr("isTeacher");
            var studentId = $(this).attr("studentId");
            var schoolId = $(this).attr("schoolId");
            if (isTeacher == "false"){
                router.route("#studentPage.personal?studentId="+studentId+"&schoolId="+schoolId);
            }
        });

      //重新绑定实体按键返回事件
      window._android_on_back_pressed = function() {
        base.back();
        return false;
      };
    };

    var initJuicer = function () {
        juicer.register("fsPath", function () {
            return CONFIG.fsPath;
        });
    };

    var loadData = function() {
        inquireReadingPostThumbUpListTenant();
    };

    var inquireReadingPostThumbUpListTenant = function () {
        databind.submit([], {
            action: "inquireReadingPostThumbUpListTenant",
            version: "v1.0",
            data: {
                postId: postId
            },
            success:function(data){
                var html = juicer(dom.find("#list-tpl").html(), data);
                dom.find(".content").html(html);
            }
        });
    };

    return {
        init: init
    };
});
