// 主界面
;
define(function(require, exports, module) {
  'use strict';
  var util = require("util");
  var base = require("base");
  var databind = require("databind");
  var listView = require("listView");
  var router = require("pageRouter");
  var dialog = require("dialog");
  var constant = require("constant");
  var dom;
  var studentName;

  var init = function() {
    dom = $("#setting");
    router.init();
    initEvent();
    loadData();
  };

  var initEvent = function() {
    studentName = decodeURIComponent(base.getUrlParam("studentName"));
    dom.find(".studentName").text(studentName);

    dom.on("click", ".studentInfo", function () {
      base.jumpToSettingControllerWithIndex("1");
    });

    dom.on("click", ".phone", function () {
      base.jumpToSettingControllerWithIndex("2");
    });

    dom.on("click", ".editPassword", function () {
      base.jumpToSettingControllerWithIndex("3");
    });

    dom.on("click", ".share", function () {
      base.jumpToSettingControllerWithIndex("4");
    });

    dom.on("click", ".advice", function () {
      base.jumpToSettingControllerWithIndex("6");
    });

    dom.on("click", ".about", function () {
      base.jumpToSettingControllerWithIndex("7");
    });

    dom.on("click", ".clear", function () {
      base.jumpToSettingControllerWithIndex("8");
    });

    dom.on("click", ".logOut", function () {
      base.jumpToSettingControllerWithIndex("9");
    });
  };

  var loadData = function() {
  };

  return {
    init: init
  };
});
